• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[ROM][Official] Kali NetHunter for the OnePlus One LineageOS 16.0 Pie

Search This thread

yesimxev

Senior Member
May 8, 2017
180
69
Hi dev. I have followed your setup instruction and setup finishes without problem. i have tried different combo, the setup is OK with all available lineage PIE biulds, the latest too. i have some questions for you:
- i have found on your androidfilehot folder different kernel. i have installed your last kernel build on top of Lineage OS 2019 lineage-16.0-20190701-nightly-bacon-signed.zip, is it suggested or not?
- i am trying to compile bluez 4.101 from scratch but i have problem with gstreamer 0.10 library. could you suggest me a solution?
thank you in advance.

lineage version is good, kernel should be the latest, it could even work from my androidfilehost or latest NH zip could include the same kernel, on OffSec NetHunter downloads page.

I remember I had to install many libs to build. I know this is not 0.10, but try
Code:
apt-get install libgstreamer1.0-dev
or try to install one from http://old.kali.org/kali/pool/main/g/gstreamer0.10/ with dpkg -i
 
  • Like
Reactions: franco985

heartwild

New member
Jan 10, 2021
2
1
Hi,dev.
The nethunter 2020.3 image link is 404. so I use the nethunter image from https://images.kali.org/nethunter/nethunter-2020.4-oneplus1-pie-kalifs-full.zip
My ROM is lineage-16.0-20190701-nightly-bacon-signed.zip you gave us.
Now I can't start Kali chroot Manager.I have no idea.
Do you know what's wrong with it and how can i solve it?
1610287181334.png
 

Beatan

New member
Dec 12, 2020
4
1
Hi,dev.
The nethunter 2020.3 image link is 404. so I use the nethunter image from https://images.kali.org/nethunter/nethunter-2020.4-oneplus1-pie-kalifs-full.zip
My ROM is lineage-16.0-20190701-nightly-bacon-signed.zip you gave us.
Now I can't start Kali chroot Manager.I have no idea.
Do you know what's wrong with it and how can i solve it?
View attachment 5183217

Try to flash this kernel: https://androidfilehost.com/?fid=8889791610682901459.
 

yesimxev

Senior Member
May 8, 2017
180
69
@yesimxev i'm getting 'update process ended with error 7' while flashing the lineageos. I cleared cache/ dalvik cache.

I used :
Lineage 16.0 July build- https://www.androidfilehost.com/?fid=4349826312261652174
TWRP - https://dl.twrp.me/bacon/twrp-3.5.0_9-0-bacon.img.html

Not sure what's that, you might have a corrupted zip. Please try latest LOS17.1 from official LinageOS site (added recently), the NetHunter kernel for it is just done now, I'll post tomorrow for testing purposes
 

IrisNebula

Member
Jan 12, 2010
29
8
@yesimxev i'm getting 'update process ended with error 7' while flashing the lineageos. I cleared cache/ dalvik cache.

I used :
Lineage 16.0 July build- https://www.androidfilehost.com/?fid=4349826312261652174
TWRP - https://dl.twrp.me/bacon/twrp-3.5.0_9-0-bacon.img.html
I just faced this today. I was installing HavocOS, not Lineage (Pie of course) and I made it work by clearing system and data, reboot to recovery and then flashing. The Reboot to Recovery was what made it work for me as the reason I got for error 7 was that it couldn't find a recovery related folder after clearing data and hence cache.
Oh, and I just noticed there's new TWRP, I did this on 3.4 but I imagine it's the same.
 

MrtnMrtn

New member
Mar 4, 2021
4
0
Hello, I just installed the latest lineage os 17.1 on my oneplus one and I am using the latest TWRP 3.5.0_9. When trying to flash nethunter 2021.1 for android 10 via twrp an error 1 appears. Any suggestions.
P.S. I also have a problem while trying to root the phone by flashing supersu.
 

Attachments

  • 20210304_002458.jpg
    20210304_002458.jpg
    2 MB · Views: 16
  • 20210304_002442.jpg
    20210304_002442.jpg
    1.6 MB · Views: 16

yesimxev

Senior Member
May 8, 2017
180
69
Hello, I just installed the latest lineage os 17.1 on my oneplus one and I am using the latest TWRP 3.5.0_9. When trying to flash nethunter 2021.1 for android 10 via twrp an error 1 appears. Any suggestions.
P.S. I also have a problem while trying to root the phone by flashing supersu.
Please use Magisk for root, and do the adb command which sets the device system_root_image to true before flashing NH, all explained in the first post here https://forum.xda-developers.com/t/...s-one-lineageos-17-1-q.4219253/#post-84305215
 

yesimxev

Senior Member
May 8, 2017
180
69
I just faced this today. I was installing HavocOS, not Lineage (Pie of course) and I made it work by clearing system and data, reboot to recovery and then flashing. The Reboot to Recovery was what made it work for me as the reason I got for error 7 was that it couldn't find a recovery related folder after clearing data and hence cache.
Oh, and I just noticed there's new TWRP, I did this on 3.4 but I imagine it's the same.
Did you have encrypted /data? Try to format and wipe all partitions (I guess you did though)
 

MrtnMrtn

New member
Mar 4, 2021
4
0

5ur35n

New member
Mar 10, 2021
1
0
Grab the 16.0 image and the nethunter pie image and mirror it as of yesterday they all seem to have disapeared from the internet, i found it to be the most stable build (pie) with pico gapps. are there any post installation tips i should be doing besides updating the nethunter app? Furthermore, what is the best more reliable edition of nethunter for OPO?

thanks in advance and go hoard those files especially the nethunter builds from the kali site
 

Top Liked Posts

  • There are no posts matching your filters.
  • 7
    https:_gitlab.com_kalilinux_nethunter_build-scripts_kali-nethunter-project_raw_master_images_n...png


    I present to you: Kali NetHunter for the OnePlus One LineageOS 16.0 Pie

    This is the recommended stable version for the OnePlus One. It is available for a while, but as there's only a small install guide in the issues section, I think this is the correct place to have it.

    Kali NetHunter is an Android ROM overlay that turns an ordinary phone into the ultimate Mobile Penetration Testing Platform.
    The overlay includes a custom kernel, a Kali Linux chroot, an accompanying Android application, which allows for easier interaction with various security tools and attacks, as well as a client to the Kali NetHunter App Store.
    Beyond the penetration testing tools arsenal within Kali Linux and the Kali NetHunter App Store, NetHunter also supports several additional classes, such as HID Keyboard Attacks, BadUSB attacks, Evil AP MANA attacks, and much more. For more information about the moving parts that make up NetHunter, check out our NetHunter Components page.
    NetHunter is an open-source project developed by Offensive Security and the community.

    ~ Prerequisites ~
    - Lineage 16.0 July build- https://www.androidfilehost.com/?fid=4349826312261652174
    - Gapps if needed - https://opengapps.org
    - TWRP - https://twrp.me/
    - Magisk – https://forum.xda-developers.com/apps/magisk

    ~~ Downloads ~~
    - NetHunter: https://images.kali.org/nethunter/nethunter-2020.3-oneplus1-pie-kalifs-full.zip

    ~~ How to Install ~~
    Assuming you have unlocked bootloader
    - Flash TWRP
    - Copy Lineage, Magisk and NetHunter image to USB drive
    - Boot into TWRP, insert USB drive.
    - Flash Lineage and Gapps if needed, reboot and do initial setup
    - Reboot into TWRP
    - Flash NetHunter image
    - Flash Magisk
    - Reboot
    - Run NetHunter app
    - Reboot

    ~~~ Notes & Updates ~~~
    - wlan1 unplug reboot is solved
    - Y-cable is still supported, just need to have it as a Custom Command or in a script (AndroidSU)
    Code:
    bootkali ycable start
    To stop:
    Code:
    bootkali ycable stop
    - Bluetooth Arsenal is supported, but you need to downgrade Bluez to 4.101 by compiling it in Kali chroot and installing "on top of" current Bluez so the bluetooth service will be able to run
    - Mana is being replaced, for the time being you can downgrade iptables with the following :
    Code:
    wget http://old.kali.org/kali/pool/main/i/iptables/iptables_1.6.2-1.1_armhf.deb
    wget http://old.kali.org/kali/pool/main/i/iptables/libip4tc0_1.6.2-1.1_armhf.deb
    wget http://old.kali.org/kali/pool/main/i/iptables/libip6tc0_1.6.2-1.1_armhf.deb
    wget http://old.kali.org/kali/pool/main/i/iptables/libiptc0_1.6.2-1.1_armhf.deb
    wget http://old.kali.org/kali/pool/main/i/iptables/libxtables12_1.6.2-1.1_armhf.deb
    
    dpkg -i *.deb
    
    apt-mark hold iptables
    apt-mark hold libip4tc0
    apt-mark hold libip6tc0
    apt-mark hold libiptc0
    apt-mark hold libxtables12

    Credits: The Offensive Security Team and the NetHunter community

    Android Version: 9.0

    XDA: DevDB Information
    Kali Nethunter, Kernel & ROM for the OnePlus One

    Contributors
    @yesimxev

    Source Code: https://gitlab.com/kalilinux/nethunter/
    Kernel Source: https://github.com/yesimxev/android_kernel_oppo_msm8974

    Follow me on Twitter!
    1
    Unfortunately, I also have a problem. My system is crashed when I try to change wlan0 to monitor mode.
    I used
    Nethunter - Custom Commands - Start wlan0 in monitor mode:
    Penmun:
    airmon-ng start wlan0:
    iwconfig wlan0 mode monitor, but I got the same results (the system was crashed)

    You need QCACLD-3.0 driver for this.
    Unfortunately, there is WCNSS driver :(
    1
    Hi dev. I have followed your setup instruction and setup finishes without problem. i have tried different combo, the setup is OK with all available lineage PIE biulds, the latest too. i have some questions for you:
    - i have found on your androidfilehot folder different kernel. i have installed your last kernel build on top of Lineage OS 2019 lineage-16.0-20190701-nightly-bacon-signed.zip, is it suggested or not?
    - i am trying to compile bluez 4.101 from scratch but i have problem with gstreamer 0.10 library. could you suggest me a solution?
    thank you in advance.

    lineage version is good, kernel should be the latest, it could even work from my androidfilehost or latest NH zip could include the same kernel, on OffSec NetHunter downloads page.

    I remember I had to install many libs to build. I know this is not 0.10, but try
    Code:
    apt-get install libgstreamer1.0-dev
    or try to install one from http://old.kali.org/kali/pool/main/g/gstreamer0.10/ with dpkg -i